Subject: Re: [PATCH v2 0/3] contrib/subtree: reduce recursion during split

From: Ian Jackson <[email-masked]>
Date: Wed, 3 Jun 2026 10:12:09 +0100

Colin Stagner writes ("Re: [PATCH v2 0/3] contrib/subtree: reduce recursion during split"):
> On 6/1/26 17:13, Junio C Hamano wrote:
> > While I do agree that avoiding bash-isms in the main part of Git and
> > sticking to vanilla POSIX has merit, this particular one seems more
> > like an artificial limit imposed by dash than sticking to the POSIX
> > as the common denoninator, at least to me.
> 
> Correct, this topic is a workaround for an artificial limit. The limit 
> is Debian-specific and was introduced as a downstream patch in 2018 [1], 
> [2].

I don't think it is correct to say that this is Debian-specific.  The
limit is baked into dash, which is a non-distro-specific minimal POSIX
shell derived from NetBSD's ash:
  http://gondor.apana.org.au/~herbert/dash/
I don't know what other distros use it (or can use it) as their
/bin/sh.  I also haven't checked POSIX to see if the question of
maximum recursion level is discussed.

Ian.

-- 
Ian Jackson <[email-masked]>   These opinions are my own.  

Pronouns: they/he.  If I emailed you from @fyvzl.net or @evade.org.uk,
that is a private address which bypasses my fierce spamfilter.